/*
 * XPathProcessor - ESIAL PROJET SD 2011
 * Copyright (C) 2011 Julien VAUBOURG / Tristan STEF
 * Contact <julien@vaubourg.com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package Processeur;

public class Main {
	public static void main(String[] args) {
		String fichierEntree, fichierSortie;
		UniteLexicale axiome;
		
		// Nom de la racine du document
		String nomAxiome = "annuaire";

		// Verification des arguments passes au programme
		if(args.length < 1 || args.length > 2) {
			System.out.println("\n\tUSAGE :\n\tjava -jar XPathProcessor.jar document.xml\n\tjava -jar XPathProcessor.jar document.xml resultats.xml\n");
			System.exit(1);
		}

		// Attribution des arguments
		fichierEntree = args[0];
		fichierSortie = args.length > 1 ? args[1] : "";

		// Mise en memoire du document (et verifications)
		axiome = Analyseur.analyser(fichierEntree, nomAxiome);

		// S'il n'y a pas eu d'exception, le doc est bien en memoire 
		if(axiome != null) {
			System.out.println("(info) Arbre XML de " + fichierEntree + " mémorisé (taper /" + axiome.getNom() + " pour le consulter).\n");
		
			// Lancement de l'interpreteur XPath 
			InterpreteurXPath.demarrer(axiome, fichierSortie);
		}
	}
}